Package org.jfree.layouting.input.style.parser

## Class StringInputSource

- java.lang.Object
- - org.w3c.css.sac.InputSource
  - - org.jfree.layouting.input.style.parser.StringInputSource

-     public class StringInputSource
      extends org.w3c.css.sac.InputSource

  Creation-Date: 08.12.2005, 21:16:26
  Author:
    Thomas Morgner

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `StringInputSource​(java.lang.String data, java.net.URL baseUrl)` | Zero-argument default constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.net.URL` | `getBaseUrl​()` |
    `java.io.StringReader` | `getReader​()` |

    - ### Methods inherited from class org.w3c.css.sac.InputSource

      `getByteStream, getCharacterStream, getEncoding, getMedia, getTitle, getURI, setByteStream, setCharacterStream, setEncoding, setMedia, setTitle, setURI`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StringInputSource

          public StringInputSource​(java.lang.String data,
                                   java.net.URL baseUrl)

      Zero-argument default constructor.
      See Also:
        `InputSource.setURI(java.lang.String)`, `InputSource.setByteStream(java.io.InputStream)`, `InputSource.setCharacterStream(java.io.Reader)`, `InputSource.setEncoding(java.lang.String)`

  - ### Method Detail

    - #### getReader

          public java.io.StringReader getReader​()

    - #### getBaseUrl

          public java.net.URL getBaseUrl​()